Download OpenAPI specification:Download
Get the restrictions set for the given SIP Account.
| accountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Logical Account or Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
[- {
- "username": "MySIPAccount",
- "prefix": "3176",
- "restrictionType": "Blacklist",
- "forcedByCm": true
}
]Get all blacklist restrictions for all SIP Accounts where the traffic costs are higher then the given threshold.
| accountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Logical Account or Voice Account. |
| threshold required | number <double> Example: 4 The threshold to search the blacklist restrictions for. |
[- {
- "username": "MySIPAccount",
- "prefix": "3176",
- "restrictionType": "Blacklist",
- "forcedByCm": true
}
]Update the restrictions that are set up for the given SIP Account.
CAUTION! This action will overwrite ALL current restrictions, so when adding a restriction to the existing list, send the entire current list of restrictions with the new restriction appended.
| accountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Logical Account or Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
| restrictionType required | string (Restriction Type) Enum: "Blacklist" "Whitelist" "Unknown" Example: blacklist Sets the type of the restrictions, this can be either set to |
List of the new restrictions to be set.
| username | string or null Username of the SIP Account. |
| prefix | string or null Phone number prefix affected by the restriction. |
| restrictionType | string (Restriction Type) Enum: "Blacklist" "Whitelist" "Unknown" List of available user restriction types. |
| forcedByCm | boolean Whether this restriction was created and enforced by CM or not. This value cannot be set or updated via the API. |
[- {
- "username": "MySIPAccount",
- "prefix": "3176",
- "restrictionType": "Blacklist",
- "forcedByCm": true
}
][- {
- "username": "MySIPAccount",
- "prefix": "3176",
- "restrictionType": "Blacklist",
- "forcedByCm": true
}
]Get a single SIP Account by it's unique identifier.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
{- "guid": "string",
- "createdOn": "2019-08-24T14:15:22Z",
- "customerAccountGuid": "string",
- "name": "string",
- "username": "string",
- "isActive": true,
- "inPrison": true,
- "config": {
- "cpsLimit": 2,
- "ccLimit": 100,
- "alwaysAnonymous": false,
- "hasAnonymousOverride": false,
- "defaultOutboundCallerId": "",
- "restrictionType": "blacklist",
- "primaryTrunkId": "outbound02",
- "secondaryTrunkId": "outbound01",
- "blockNonEerToEer": false,
- "allowPremium": false
}
}Delete the given SIP Account.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
{- "requestId": "string",
- "errors": [
- {
- "code": "string",
- "message": "string",
- "source": "string"
}
]
}Get all SIP Accounts belonging to the given Voice Account.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| includeConfig | boolean Example: includeConfig=true Whether or not to include the SIP Account configuration, defaults to |
| q | string Example: q= The search query that can be applied to search through the items before they get paginated. |
| skip | integer <int32> Example: skip=0 The amount of items to be skipped, defaults to 0. |
| take | integer <int32> Example: take=25 The amount of items to take, defaults to 25. |
[- {
- "guid": "string",
- "createdOn": "2019-08-24T14:15:22Z",
- "customerAccountGuid": "string",
- "name": "string",
- "username": "string",
- "isActive": true,
- "inPrison": true,
- "config": {
- "cpsLimit": 2,
- "ccLimit": 100,
- "alwaysAnonymous": false,
- "hasAnonymousOverride": false,
- "defaultOutboundCallerId": "",
- "restrictionType": "blacklist",
- "primaryTrunkId": "outbound02",
- "secondaryTrunkId": "outbound01",
- "blockNonEerToEer": false,
- "allowPremium": false
}
}
]Create a new SIP Account for the given Voice Account. The username and password for the new SIP Account will be automatically generated by CM.com.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
{- "guid": "string",
- "createdOn": "2019-08-24T14:15:22Z",
- "customerAccountGuid": "string",
- "name": "string",
- "username": "string",
- "isActive": true,
- "inPrison": true,
- "config": {
- "cpsLimit": 2,
- "ccLimit": 100,
- "alwaysAnonymous": false,
- "hasAnonymousOverride": false,
- "defaultOutboundCallerId": "",
- "restrictionType": "blacklist",
- "primaryTrunkId": "outbound02",
- "secondaryTrunkId": "outbound01",
- "blockNonEerToEer": false,
- "allowPremium": false
}
}Updates the isActive state of the SIP Account to true.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
{- "requestId": "string",
- "errors": [
- {
- "code": "string",
- "message": "string",
- "source": "string"
}
]
}Updates the isActive state of the SIP Account to false, meaning this SIP Account is no longer able to make or receive calls.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
{- "requestId": "string",
- "errors": [
- {
- "code": "string",
- "message": "string",
- "source": "string"
}
]
}When the wrong password of the SIP Account was entered too many times, the account get's a temporary ban by being put in prison. This endpoint allows you to remove the SIP Account from prison.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
{- "requestId": "string",
- "errors": [
- {
- "code": "string",
- "message": "string",
- "source": "string"
}
]
}Update the display name for the given SIP Account.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
CM.Voice.SipAccounts.Api.Models.Api.ApiUpdateDisplayNameRequest
| name | string or null New display name for the SIP Account. |
{- "name": "My new display name"
}{- "guid": "string",
- "createdOn": "2019-08-24T14:15:22Z",
- "customerAccountGuid": "string",
- "name": "string",
- "username": "string",
- "isActive": true,
- "inPrison": true,
- "config": {
- "cpsLimit": 2,
- "ccLimit": 100,
- "alwaysAnonymous": false,
- "hasAnonymousOverride": false,
- "defaultOutboundCallerId": "",
- "restrictionType": "blacklist",
- "primaryTrunkId": "outbound02",
- "secondaryTrunkId": "outbound01",
- "blockNonEerToEer": false,
- "allowPremium": false
}
}Get the username and decrypted password for the given SIP Account.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
{- "username": "string",
- "password": "string"
}Generates a new password for the given SIP Account. The new decrypted password will be returned in the response body.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
{- "username": "string",
- "password": "string"
}Get the configuration for the given SIP Account.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
{- "cpsLimit": 2,
- "ccLimit": 100,
- "alwaysAnonymous": false,
- "hasAnonymousOverride": false,
- "defaultOutboundCallerId": "",
- "restrictionType": "blacklist",
- "primaryTrunkId": "outbound02",
- "secondaryTrunkId": "outbound01",
- "blockNonEerToEer": false,
- "allowPremium": false
}Update the configuration for the given SIP Account.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
New sip config
| cpsLimit | integer <int32> Limit of the amount of calls that can be set up per second. |
| ccLimit | integer <int32> Limit of the amount of calls that can take place concurrently. |
| alwaysAnonymous | boolean Whether or not outbound calls from this SIP Account will always be dialed out with CLI anonymous. |
| hasAnonymousOverride | boolean When set to true, this option guarantees routing that support anonymous calls. |
| defaultOutboundCallerId | string or null The CLI used when making outbound calls. This does not override a valid CLI that is already provided in the SIP invite. |
| restrictionType | string or null Sets the type of prefix restrictions placed on this SIP Account, this can be either set to |
| primaryTrunkId | string or null Platform name or domain of the primary SIP trunk or DNS that will be used. The |
| secondaryTrunkId | string or null Platform name or domain of the secondary (backup) SIP trunk that will be used. The |
| blockNonEerToEer | boolean All calls with a non-European CLI to a European country will be blocked for this SIP account. |
| allowPremium | boolean Allow calls to premium pay-per-minute or pay-per-call numbers. |
{- "cpsLimit": 2,
- "ccLimit": 100,
- "alwaysAnonymous": false,
- "hasAnonymousOverride": false,
- "defaultOutboundCallerId": "",
- "restrictionType": "blacklist",
- "primaryTrunkId": "outbound02",
- "secondaryTrunkId": "outbound01",
- "blockNonEerToEer": false,
- "allowPremium": false
}{- "cpsLimit": 2,
- "ccLimit": 100,
- "alwaysAnonymous": false,
- "hasAnonymousOverride": false,
- "defaultOutboundCallerId": "",
- "restrictionType": "blacklist",
- "primaryTrunkId": "outbound02",
- "secondaryTrunkId": "outbound01",
- "blockNonEerToEer": false,
- "allowPremium": false
}Get a list of all currently active CM.com SIP Trunks.
| voiceAccountGuid required | string <uuid> |
| sipAccountGuid required | string |
[- {
- "city": "string",
- "countryCode": "string",
- "code": "string",
- "description": "string",
- "externalIps": [
- "string"
]
}
]Get a list of all currently active CM.com Platform Domains.
| voiceAccountGuid required | string |
| sipAccountGuid required | string |
[- {
- "domain": "string",
- "platforms": [
- {
- "city": "string",
- "countryCode": "string",
- "code": "string",
- "description": "string",
- "externalIps": [
- "string"
]
}
]
}
]Get all SIP Endpoints that are set up for the given SIP Account.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
[- {
- "guid": "00000000-0000-0000-0000-000000000000",
- "createdOn": "2020-01-01T00:00:00Z",
- "hostname": "example.com",
- "ipAddress": "0.0.0.0",
- "port": 5060,
- "subnetMask": 32,
- "isTrusted": true
}
]Update the SIP Endpoints that are set up for the given SIP Account.
CAUTION! This action will overwrite ALL current SIP Endpoints, so when adding an Endpoint to the existing list, send the entire current list of SIP Endpoints with the new Endpoint appended.
| voiceAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the Voice Account. |
| sipAccountGuid required | string <uuid> Example: 00000000-0000-0000-0000-000000000000 Unique identifier of the SIP Account. |
CM.Voice.SipAccounts.Api.Models.Api.ApiSipEndpoint
| guid | string or null Unique identifier of the SIP Endpoint. |
| createdOn | string <date-time> Date and time on which the SIP Endpoint was created. |
| hostname | string or null Hostname of the SIP Endpoint, when given, the IP address should be left blank. |
| ipAddress | string or null External IP address of the SIP Endpoint, when given, the hostname should be left blank. |
| port | integer <int32> Port number of the SIP Endpoint, when set to 0 any port number will be used. |
| subnetMask | integer <int32> Subnet mask of the SIP Endpoint. |
| isTrusted | boolean Whether authentication is required for the SIP endpoints to use the SIP Account or not. It is not recommended to set this to true. |
[- {
- "guid": "00000000-0000-0000-0000-000000000000",
- "createdOn": "2020-01-01T00:00:00Z",
- "hostname": "example.com",
- "ipAddress": "0.0.0.0",
- "port": 5060,
- "subnetMask": 32,
- "isTrusted": true
}
][- {
- "guid": "00000000-0000-0000-0000-000000000000",
- "createdOn": "2020-01-01T00:00:00Z",
- "hostname": "example.com",
- "ipAddress": "0.0.0.0",
- "port": 5060,
- "subnetMask": 32,
- "isTrusted": true
}
]